Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo
Interface FONode.FONodeIterator

All Superinterfaces:
  java.util.Iterator, java.util.ListIterator

All Known Implementing Classes:
  FObj.FObjIterator

Enclosing class:
  FONode

    public static interface FONode.FONodeIterator

extends java.util.ListIterator

Base iterator interface over a FO's children

Method Summary
`FONode` | `firstNode()` Returns the first node in the list, and decreases the index, so that a subsequent call to `hasPrevious()` will return `false`
`FONode` | `lastNode()` Returns the last node in the list, and advances the current position, so that a subsequent call to `hasNext()` will return `false`
`FONode` | `nextNode()` Convenience method with return type of FONode (semantically equivalent to: `(FONode) next();`)
`FObj` | `parentNode()` Returns the parent node for this iterator's list of child nodes
`FONode` | `previousNode()` Convenience method with return type of FONode (semantically equivalent to: `(FONode) previous();`)

Methods inherited from interface java.util.ListIterator
`add, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove, set`

Method Detail

### parentNode

    FObj parentNode()

  Returns the parent node for this iterator's list of child nodes

  Returns:
    the parent node

### nextNode

    FONode nextNode()

  Convenience method with return type of FONode (semantically equivalent to: `(FONode) next();`)

  Returns:
    the next node (if any), as a type FONode

### previousNode

    FONode previousNode()

  Convenience method with return type of FONode (semantically equivalent to: `(FONode) previous();`)

  Returns:
    the previous node (if any), as a type FONode

### firstNode

    FONode firstNode()

  Returns the first node in the list, and decreases the index, so that a subsequent call to `hasPrevious()` will return `false`

  Returns:
    the first node in the list

### lastNode

    FONode lastNode()

  Returns the last node in the list, and advances the current position, so that a subsequent call to `hasNext()` will return `false`

  Returns:
    the last node in the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.